Форум русскоязычного сообщества Ubuntu


За новостями русскоязычного сообщества и Ubuntu в целом можно следить на нашей страничке в Google+

Автор Тема: Откат ффокса  (Прочитано 325 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн root_x

  • Автор темы
  • Активист
  • *
  • Сообщений: 261
    • Просмотр профиля
Откат ффокса
« : 04 Июнь 2016, 10:40:45 »
Наверное вам известно об этом баге . Как сделать правильный откат ффокса? Или нужно сначала удалить глючный, потом скачать нужную версию, установить ее и запретить обновления ффокса?
« Последнее редактирование: 04 Июнь 2016, 18:35:37 от root_x »

Оффлайн wolfser2701

  • Участник
  • *
  • Сообщений: 180
    • Просмотр профиля
Re: Откат ффокса
« Ответ #1 : 04 Июнь 2016, 10:53:59 »
root_x, Лисой почти не пользуюсь, но как то занимался этой темой. Если помню правильно, то в последних версиях этого пункта о запрете обновлений нет в настройках. Кажется я ставил или 32 или 36, и бегом при первом запуске снимал галку с него.

Оффлайн lin_user

  • Старожил
  • *
  • Сообщений: 1292
    • Просмотр профиля
Re: Откат ффокса
« Ответ #2 : 04 Июнь 2016, 10:54:50 »
Да, можно так. Я же сделал грубее, когда прилетело обновление с мерзким GTK3 и сломало интерфейс. Я заблокировал версию в менеджере пакетов и просто заменил все файлы в директории /usr/lib/firefox версией FF ESR. Брат жив.

Оффлайн root_x

  • Автор темы
  • Активист
  • *
  • Сообщений: 261
    • Просмотр профиля
Re: Откат ффокса
« Ответ #3 : 04 Июнь 2016, 13:34:42 »
root_x, Лисой почти не пользуюсь, но как то занимался этой темой. Если помню правильно, то в последних версиях этого пункта о запрете обновлений нет в настройках. Кажется я ставил или 32 или 36, и бегом при первом запуске снимал галку с него.
Я о запрете обновлений в  самой убу-системе, а не именно в ффоксе.

Пользователь добавил сообщение 04 Июнь 2016, 13:38:18:
Да, можно так. Я же сделал грубее, когда прилетело обновление с мерзким GTK3 и сломало интерфейс. Я заблокировал версию в менеджере пакетов и просто заменил все файлы в директории /usr/lib/firefox версией FF ESR. Брат жив.

хм-м... А я скачал 45,1,1 esr, распаковал в домашнюю папку, вынес ссылку на firefox-bin в нужное место. И ФСЕ! Жду пока исправят 46.х.х.

а как через менеджер пакетов запретить обновы? Я забыл :(

И еще где-то есть что-то схожее на /etc/.../source,list - не помню что и где. Можете ссылками ответ натыкать.
« Последнее редактирование: 04 Июнь 2016, 13:43:05 от root_x »

Punko

  • Гость
Re: Откат ффокса
« Ответ #4 : 04 Июнь 2016, 15:43:27 »
root_x,
/etc/apt/sources.listсписок реп в этом файле.

Цитировать
а как через менеджер пакетов запретить обновы? Я забыл :(

man apt-mark
решит все проблемы.

(Нажмите, чтобы показать/скрыть)

Оффлайн wajnon

  • Старожил
  • *
  • Сообщений: 2778
    • Просмотр профиля
Re: Откат ффокса
« Ответ #5 : 04 Июнь 2016, 15:50:39 »
root_x,
Цитировать
Наверное вам известно об этом баге .
а что за баг? по ссылке ничего нету.

Оффлайн root_x

  • Автор темы
  • Активист
  • *
  • Сообщений: 261
    • Просмотр профиля
Re: Откат ффокса
« Ответ #6 : 04 Июнь 2016, 18:34:57 »
root_x,
Цитировать
Наверное вам известно об этом баге .
а что за баг? по ссылке ничего нету.
https://bugzilla.mozilla.org/show_bug.cgi?id=1268395
попробую исправить в первом сообщении.

Суть бага в том что в окнах открытия\сохранения есть проблем с навигацией и выбором файлов.

Пользователь добавил сообщение 04 Июнь 2016, 18:40:39:

/etc/apt/sources.listсписок реп в этом файле.

man apt-mark
решит все проблемы.



Пользователь добавил сообщение 04 Июнь 2016, 18:45:45:
А как в Ubuntu при помощи apt-get установить предыдущую версию ффокса? Без изменения в /etc/apt/sources.list ?  Или так не возможно?
« Последнее редактирование: 04 Июнь 2016, 18:46:33 от root_x »

Punko

  • Гость
Re: Откат ффокса
« Ответ #7 : 04 Июнь 2016, 22:16:19 »
А как в Ubuntu при помощи apt-get установить предыдущую версию ффокса? Без изменения в /etc/apt/sources.list ?  Или так не возможно?

посмотрите в сторону параметра
-tдля apt-get.


 

Страница сгенерирована за 0.058 секунд. Запросов: 25.